### 小程序人脸核身调用流程
1. 接入方调用人脸小程序sdk的初始化方法
2. 初始化成功后，调用 `faceCheckInit` 接口换取token和跳转地址

    | 参数名称 | 类型 | 传入/传出 | 是否必传 | 说明 |
    | -------- |--------|-------- |-------- | -------- | 
    | ruleId  | String | 传入 |是   |得去腾讯创建|
    | idCard  | String | 传入 |否   |身份证，|
    | name  | String |传入|否   |姓名|
    | redirectUrl| String |传入|是   |认证结束后重定向的回调链接地址。最长长度1024位。|
    | imageBase64  | DataItem |传入|否   |用于人脸比对的照片，和idCard、name俩个之中必须输入一种|
    | isSuccess  | boolean |传出|否   |是否初始化成功|
    | errorMessage  | boolean |传出|否   |错误码|
    | url  | String |传出|否   |腾讯返回的地址（小程序不使用）|
    | bizToken  | String |传出|否   |完成核身后，可用该标识获取验证结果信息。|
    | requestId  | String |传出|否   |流水号|
    

3. 收到BizToken后，调起小程序sdk的人脸核验界面
4. 核验结束，核验界面关闭，调用 `getFaceCheckResult` 接口换取核验结果。
 
    | 参数名称 |类型|传入/传出| 是否必传| 说明 |
    | -------- |--------|-------- |-------- |-------- | 
    | bizToken  | String | 传入 |是 |人脸核身流程的标识    |
    | ruleId  | String | 传入 |是 |非0为异常情况   |
    | infoType | String | 传入 | 是 |异常情况下的错误信息|
    | isSuccess  | boolean |传出|否   |是否初始化成功|
    | errorMessage  | boolean |传出|否   |错误码|
    | requestId  | String |传出|否   |流水号|
 
### 时序图

![时序图](https://assets.processon.com/chart_image/5ff5770c7621315d0d08aea6.png)